<?php
/**
 * @var $this NewsController
 * @var $publication Publication
 * @var $contacts Contact[]
 * @var $pages CPagination
 * @var $category NewsCategory
 */
?>
<?php $this->renderPartial('//snippets/headerGallery');?>

<div class="wrapper content-wrapper">
    <div class="col-wrapper">
        <div class="col2">
            <p class="section-title"><?php echo Yii::t('site', 'Рубрики');?></p>
            <ul class="sidebar-nav">
                <?php
                foreach ($this->getNewsCategories() as $item) {
                    if (isset($category) && $category->id == $item->id)
                        echo '<li class="active">';
                    else
                        echo '<li>';
                    if ($item->type == 2)
                        echo CHtml::link($item->i18n->name, array('news/publications', 'link' => $item->link)), '</li>';
                    elseif($item->type == 1 || $item->type == 3)
                        echo CHtml::link($item->i18n->name, array('news/category', 'link' => $item->link)), '</li>';
                    else
                        echo CHtml::link($item->i18n->name, array('news/show', 'link' => $item->link)), '</li>';
                }
                ?>
            </ul>
        </div>
        <div class="col8">
            <h1><?php echo CHtml::encode($this->pageName)?></h1>

            <p class="news-info"><?php
                $timestamp = CDateTimeParser::parse($publication->date, 'yyyy-MM-dd');
                echo Yii::app()->getDateFormatter()->format('d MMMM yyyy', $timestamp);
                echo ' ', Yii::t('site', 'Рубрика'), ': ';
                echo CHtml::link($publication->newsCategory->i18n->name, array('news/publications', 'link' => $publication->newsCategory->link))
                ?></p>

            <div class="text-content">
                <?php echo $publication->i18n->content ?>
            </div>

            <h2>Понравилась статья?</h2>

            <?php
            $this->renderPartial('//snippets/likes', array(
                'url' => Yii::app()->getBaseUrl(true).Yii::app()->request->getUrl(),
            ));
            ?>
        </div>
        <div class="col2">
            <p class="section-title"><?php echo Yii::t('site','Контакты для прессы');?></p>

            <div class="text-content">
                <?php echo Yii::t('site','По всем вопросам связанным с прессой обращайтесь в наш PR-отдел');?>
            </div>
            <?php $this->renderPartial('//snippets/sidebarContacts');?>

            <?php
            if (isset($category)) {
                $this->renderPartial('_photofact', array('galleryIds' => array($category->photofact_gallery_id)));
            } else {
                /** @var $cats NewsCategory[] */
                $cats = NewsCategory::model()->findAll();
                $galleryIds = array();
                foreach($cats as $cat){
                    if(isset($cat->photofact_gallery_id))
                        $galleryIds[]=$cat->photofact_gallery_id;
                }
                $this->renderPartial('_photofact', array('galleryIds' => $galleryIds));
            }
            ?>
        </div>
    </div>
    <div class="col-wrapper">
        <div class="col2">&nbsp;</div>
        <div class="col10">
            <?php $this->renderPartial('_newsFooter');?>
        </div>
    </div>
</div>
